## glusterfs 3.12.1

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing aclocal-1.15
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing automake-1.15
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.6
BUILD_PYTHON_LIB = python2.6
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.6/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = /usr/local/lib/python2.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.12.1
GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing makeinfo
MATH_LIB = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.12.1
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 3.12.1
PATH_SEPARATOR = :
PKGCONFIG_UUID = 
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS =  -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.6
PYTHON_CFLAGS = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = 
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
UUID_LIBS = 
VERSION = 3.12.1
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/contrib/umountd
abs_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/contrib/umountd
abs_top_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
abs_top_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .

=== tests/basic/fuse/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tests/basic/fuse/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = tests/basic/fuse
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing aclocal-1.15
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing automake-1.15
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.6
BUILD_PYTHON_LIB = python2.6
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.6/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = /usr/local/lib/python2.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.12.1
GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing makeinfo
MATH_LIB = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.12.1
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 3.12.1
PATH_SEPARATOR = :
PKGCONFIG_UUID = 
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS =  -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.6
PYTHON_CFLAGS = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = 
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
UUID_LIBS = 
VERSION = 3.12.1
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/tests/basic/fuse
abs_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/tests/basic/fuse
abs_top_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
abs_top_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
mountutildir = /sbin
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
pkgpyexecdir = ${pyexecdir}/glusterfs
pkgpythondir = ${pythondir}/glusterfs
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shrext_cmds = .so
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
systemddir = ${prefix}/lib/systemd/system
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
BINARIES = seek
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/basic/fuse/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/basic/fuse/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

=== tests/basic/gfapi/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tests/basic/gfapi/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = tests/basic/gfapi
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing aclocal-1.15
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing automake-1.15
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.6
BUILD_PYTHON_LIB = python2.6
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.6/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = /usr/local/lib/python2.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g $(shell pkg-config --cflags glusterfs-api)
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.12.1
GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = $(shell pkg-config --libs glusterfs-api)
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/missing makeinfo
MATH_LIB = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.12.1
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 3.12.1
PATH_SEPARATOR = :
PKGCONFIG_UUID = 
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS =  -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.6
PYTHON_CFLAGS = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = 
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
UUID_LIBS = 
VERSION = 3.12.1
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/tests/basic/gfapi
abs_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/tests/basic/gfapi
abs_top_builddir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
abs_top_srcdir = /var/lib/jenkins/work/releases/3.12.1/glusterfs.git
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.12.1/glusterfs.git/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
mountutildir = /sbin
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
pkgpyexecdir = ${pyexecdir}/glusterfs
pkgpythondir = ${pythondir}/glusterfs
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shrext_cmds = .so
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
systemddir = ${prefix}/lib/systemd/system
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
BINARIES = upcall-cache-invalidate libgfapi-fini-hang anonymous_fd seek \
	bug1283983 bug1291259 gfapi-ssl-test gfapi-load-volfile

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/basic/gfapi/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/basic/gfapi/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \

=== debian/changelog ===
glusterfs (3.12.1-ubuntu1~xenial3) xenial; urgency=medium

  * GlusterFS 3.12.1 Patch enabling libevent coexistence.
  * Updated to OpenSSL 1.1.0

 -- Bartek Kryza <bkryza@gmail.com>  Wed, 21 Mar 2018 09:09:51 -0400

glusterfs (3.12.1-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.12.1 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 11 Sep 2017 09:09:51 -0400

glusterfs (3.12.0-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.12.0 systemd, /etc/default

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 6 Sep 2017 09:09:51 -0400

glusterfs (3.12.0-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.12.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 30 Aug 2017 09:09:51 -0400

glusterfs (3.11.3-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.11.3 with systemd .service files (and logrotate files)

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 28 Aug 2017 09:09:51 -0400

glusterfs (3.11.3-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.11.3 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 21 Aug 2017 09:09:51 -0400

glusterfs (3.11.2-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.11.2 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Fri, 21 Jul 2017 09:09:51 -0400

glusterfs (3.11.1-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.11.1 enable gnfs

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 3 Jul 2017 09:09:51 -0400

glusterfs (3.11.1-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.11.1 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 28 Jun 2017 09:09:51 -0400

glusterfs (3.11.0-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.11.0 w/ glusterfs logrotate files

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 12 Jun 2017 09:09:51 -0400

glusterfs (3.11.0-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.11.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 30 May 2017 09:09:51 -0400

glusterfs (3.10.2-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.10.2 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 15 May 2017 09:09:51 -0400

glusterfs (3.10.1-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.10.1 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Thu, 30 Mar 2017 09:09:51 -0400

glusterfs (3.10.0-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.10.0-2

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Fri, 10 Mar 2017 09:09:51 -0400

glusterfs (3.10.0-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.10.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Thu, 23 Feb 2017 09:09:51 -0400

glusterfs (3.10.0-ubuntu1~xenial0.1rc0) xenial; urgency=medium

  * GlusterFS 3.10.0 RC0

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 7 Feb 2017 09:09:51 -0400

glusterfs (3.9.1-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.9.1 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 17 Jan 2017 09:09:51 -0400

glusterfs (3.9.0-ubuntu1~xenial6) xenial; urgency=medium

  * GlusterFS 3.9.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Thu, 22 Dec 2016 09:09:51 -0400

glusterfs (3.9.0-ubuntu1~xenial5) xenial; urgency=medium

  * GlusterFS 3.9.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 15 Nov 2016 09:09:51 -0400

glusterfs (3.8.7-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.7 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 13 Dec 2016 09:09:51 -0400

glusterfs (3.8.6-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.6 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 23 Nov 2016 09:09:51 -0400

glusterfs (3.8.5-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.5 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Thu, 13 Oct 2016 09:09:51 -0400

glusterfs (3.8.4-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.8.4 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Thu, 29 Sep 2016 09:09:51 -0400

glusterfs (3.8.4-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.4 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Sun, 11 Sep 2016 09:09:51 -0400

glusterfs (3.8.3-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.3 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 22 Aug 2016 09:09:51 -0400

glusterfs (3.8.2-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.2 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 10 Aug 2016 09:09:51 -0400

glusterfs (3.8.1-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.1 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Fri, 8 Jul 2016 09:09:51 -0400

glusterfs (3.8.0-ubuntu1~xenial7) xenial; urgency=medium

  * GlusterFS 3.8.0 GA, http://review.gluster.org/14779

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 27 Jun 2016 09:09:51 -0400

glusterfs (3.8.0-ubuntu1~xenial6) xenial; urgency=medium

  * GlusterFS 3.8.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 15 Jun 2016 09:09:51 -0400

glusterfs (3.8.0-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.8.0 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Tue, 14 Jun 2016 09:09:51 -0400

glusterfs (3.7.11-ubuntu1~xenial1) xenial; urgency=medium

  * GlusterFS 3.7.11 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Mon, 18 Apr 2016 09:09:51 -0400

glusterfs (3.7.10-ubuntu1~xenial2) xenial; urgency=medium

  * GlusterFS 3.7.10 GA

 -- GlusterFS GlusterFS deb packages <deb.packages@gluster.org>  Wed, 6 Apr 2016 09:09:51 -0400



=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Gluster Packager <glusterpackager@gluster.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dh-systemd,
 libfuse-dev (>= 2.6.5),
 libibverbs-dev (>= 1.0.4),
 libdb-dev,
 libattr1-dev,
 flex,
 bison,
 libreadline-dev,
 libncurses5-dev,
 libssl-dev (>= 1.1.0),
 libxml2-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 liblvm2-dev,
 libaio-dev,
 libacl1-dev,
 librdmacm-dev,
 uuid-dev,
 liburcu-dev,
 libsqlite3-dev,
 libglib2.0-dev,
 chrpath
Standards-Version: 3.9.8
Homepage: http://www.gluster.org/

Package: glusterfs-client
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends},
 python,
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 nfs-common,
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-common
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends},
 attr,
 psmisc
Conflicts: libglusterfs0,
 libglusterfs-dev
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5),
 libglusterfs0,
 libglusterfs-dev
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework, as well as
 header files for development.

Package: glusterfs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 glusterfs-client (= ${binary:Version})
Description: GlusterFS debugging symbols
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility.  It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/class/python-module.mk

%:
	dh $@ --with python2,systemd

override_dh_auto_configure:
	mv configure configure.dist && ./autogen.sh
	dh_auto_configure -- --enable-gnfs

override_dh_install:
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
	install -D -p -m 0644 extras/glusterfs-logrotate \
		debian/tmp/etc/logrotate.d/glusterfs
	install -D -p -m 0644 extras/glusterfs-georep-logrotate \
		debian/tmp/etc/logrotate.d/glusterfs-georep
	install -D -p -m 0644 extras/systemd/glusterd.service \
		debian/tmp/lib/systemd/system/glusterd.service
	sed -i s/sysconfig/default/ debian/tmp/lib/systemd/system/glusterd.service
	install -D -p -m 0644 extras/systemd/glustereventsd.service \
		debian/tmp/lib/systemd/system/glustereventsd.service
	install -D -p -m 0644 extras/systemd/glusterfssharedstorage.service \
		debian/tmp/lib/systemd/system/glusterfssharedstorage.service
	install -D -p -m 0755 extras/mount-shared-storage.sh \
		debian/tmp/usr/lib/x86_64-linux-gnu/glusterfs/mount-shared-storage.sh
	install -D -p -m 0644 extras/glusterd-sysconfig \
		debian/tmp/etc/default/glusterd
	dh_install

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=glusterfs-dbg
